Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## profilesj2me
Class J2MEBasicServiceDiscoverer

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--profilesj2me.J2MEBasicServiceDiscoverer

All Implemented Interfaces:
  javax.bluetooth.DiscoveryListener, java.lang.Runnable

class J2MEBasicServiceDiscoverer
extends java.lang.Thread
implements javax.bluetooth.DiscoveryListener

Si occupa di rilevare i dispositivi nelle vicinanze. Il funzionamento è incapsulato in un thread che costantemente aggiorna la tabella dei dispositivi vicini.

Version:
  1.0
Author:
  Lorenzo Moretti

Field Summary
`(package private) javax.bluetooth.DiscoveryAgent` | `agent`
`(package private) java.util.Vector` | `devicesInRange`
`(package private) boolean` | `keepRunning`
`(package private) java.util.Vector` | `tempDevicesInRange`
`(package private) long` | `updateInterval`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Fields inherited from interface javax.bluetooth.DiscoveryListener
`INQUIRY_COMPLETED, INQUIRY_ERROR, INQUIRY_TERMINATED, SERVICE_SEARCH_COMPLETED, SERVICE_SEARCH_DEVICE_NOT_REACHABLE, SERVICE_SEARCH_ERROR, SERVICE_SEARCH_NO_RECORDS, SERVICE_SEARCH_TERMINATED`

Constructor Summary
`(package private)` | `J2MEBasicServiceDiscoverer()`

Method Summary
`void` | `deviceDiscovered(javax.bluetooth.RemoteDevice remoteDevice, javax.bluetooth.DeviceClass deviceClass)`
`java.util.Vector` | `getRemoteDevices()`
`long` | `getUpdateInterval()`
`void` | `inquiryCompleted(int int0)`
`void` | `run()`
`void` | `servicesDiscovered(int int0, javax.bluetooth.ServiceRecord[] serviceRecordArray)`
`void` | `serviceSearchCompleted(int int0, int int1)`
`void` | `setUpdateInterval(long interval)`
`void` | `stopUpdating()` Termina l'esecuzione del sistema di aggiornamento.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### agent

    javax.bluetooth.DiscoveryAgent agent

### devicesInRange

    java.util.Vector devicesInRange

### tempDevicesInRange

    java.util.Vector tempDevicesInRange

### keepRunning

    boolean keepRunning

### updateInterval

    long updateInterval

Constructor Detail

### J2MEBasicServiceDiscoverer

    J2MEBasicServiceDiscoverer()
                         throws javax.bluetooth.BluetoothStateException

Method Detail

### getUpdateInterval

    public long getUpdateInterval()

### setUpdateInterval

    public void setUpdateInterval(long interval)

### stopUpdating

    public void stopUpdating()

  Termina l'esecuzione del sistema di aggiornamento.

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### deviceDiscovered

    public void deviceDiscovered(javax.bluetooth.RemoteDevice remoteDevice,
                                 javax.bluetooth.DeviceClass deviceClass)

  Specified by:
    `deviceDiscovered` in interface `javax.bluetooth.DiscoveryListener`

### servicesDiscovered

    public void servicesDiscovered(int int0,
                                   javax.bluetooth.ServiceRecord[] serviceRecordArray)

  Specified by:
    `servicesDiscovered` in interface `javax.bluetooth.DiscoveryListener`

### serviceSearchCompleted

    public void serviceSearchCompleted(int int0,
                                       int int1)

  Specified by:
    `serviceSearchCompleted` in interface `javax.bluetooth.DiscoveryListener`

### inquiryCompleted

    public void inquiryCompleted(int int0)

  Specified by:
    `inquiryCompleted` in interface `javax.bluetooth.DiscoveryListener`

### getRemoteDevices

    public java.util.Vector getRemoteDevices()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD